<?php

namespace App\ReportsData\EntityList;

class SupplierInvoices extends GeneralAbstract
{

	/**
	 * {@inheritDoc}
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTRd_supplierInvoices, $DBTRd_suppliers;
		$this->setMainTable($DBTRd_supplierInvoices, 'suppInv');
        $this->addAllowedTable($DBTRd_suppliers, 'supp', 'suppInv.idSupplier=supp.id', 'INNER');
	}

	public function setDefaultFilters(): void
	{
	}

}

